Subject: Re: Slowness problem due to sjlj-exceptions for Octave
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked], [email-masked]
Cc: me <[email-masked]>
Date: Thu, 6 Sep 2007 04:22:55 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Dear Morgan

>> For Octave on mingw
>> octave.exe:1> testOregoB
>> ans =  1.5781
>>
>> $ gcc -v
>> Reading specs from c:/Programs/MinGW/bin/../lib/gcc/mingw32/3.4.2/
>    ok this sounds odd..
>> specs
>> Configured with: ../gcc/configure --with-gcc --with-gnu-ld --with-gnu-
>> as --host=mingw32 --target=mingw32 --prefix=/mingw --enable-threads --
>host=mingw32? eh?
>> disable-nls --enable-languages=c,c++,f77,ada,objc,java --disable-win32
>> -registry --disable-shared --enable-sjlj-exceptions --enable-libgcj --
>> disable-java-awt --without-x --enable-java-gc=boehm --disable-libgcj-
>> debug --enable-interpreter --enable-hash-synchronization --enable-
>> libstdcxx-debug
>> Thread model: win32
>> gcc version 3.4.2 (mingw-special)
>
>it looks like this is a real minGW not cygwin minGW. that may be the problem.
>
>Make sure that you call the REAL location of gcc -- you have been
>using the MinGW/official installed version (it doesnt work with
>cygwin)
>
>I'd look for gcc.exe myself in /usr/bin/ and /bin/ (among others) and
>place that path into a var (maby "cygwin-gcc"?) so that calling
>"$cygwin-gcc (files) to use the cygwin GCC... but im probobly
>overcomplicating it.

It is real mingw but not cygwin-mingw.  I placed mingw at differt 
folder on windows.
The reason unix like path '--prefix=/mingw'is used, mingw gcc 
supposed to be used with msys.
In the msys mounting system ((msyspath)/etc/fstab), /mingw is defined.

Tatsuro Matsuoka 

--------------------------------------
Easy + Joy + Powerful = Yahoo! Bookmarks x Toolbar
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/